Page MenuHomePhabricator

Hide "cardholder name" field from Adyen form
Closed, ResolvedPublic1 Story Points

Description

According to Adyen, we should be able to hide the "cardholder name" field. This would be very exciting as we would simplify the workflow.

https://docs.adyen.com/manuals/skin-manual/editing-the-skin-files

In task T124230 we will have autofilled this field. I'm assuming the field is mandatory, so we'd have to fill it and hide it?

Event Timeline

atgo created this task.Jan 22 2016, 7:51 PM
atgo updated the task description. (Show Details)
atgo raised the priority of this task from to Normal.
atgo added subscribers: Aklapper, Ppena, Base, atgo.
atgo removed a subscriber: atgo.Mar 30 2016, 10:06 PM

@Amire80 says that Israeli users are likely to type their name in Hebrew for the initial identification, but re-type it in latin characters for the 'Cardholder name' field. @Ppena, I can autofill + hide the name field for some languages, and show a blank field for others, if we can work out the list of languages most often used by donors in this situation.

Ejegg added a subscriber: jrobell.May 24 2016, 12:36 PM

@jrobell, any opinion on how we handle this, given that @Amire80 says Israeli users will often type their name in Hebrew in the contact form, then in Latin characters in the billing form? Treat Hebrew as a special case where we show the second field blank? Do the same for all languages with non-Latin scripts?

@Ejegg I just discussed this with @jrobell and hebrew seems to be a special case. We don't have any other info for non-latin scripts and we wouldn't want to seem culturally insensitive to those languages.

Ejegg added a comment.May 24 2016, 6:39 PM

OK, so show (empty) for Hebrew and autofill+hide for the rest?

yes

Thanks!

Change 290589 had a related patch set uploaded (by Ejegg):
Adyen: fill & hide cc name field for all but Hebrew

https://gerrit.wikimedia.org/r/290589

Ejegg claimed this task.May 24 2016, 9:58 PM
Ejegg set the point value for this task to 1.
Ejegg set Security to None.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Jabberwock Slaying board.

Change 290589 merged by jenkins-bot:
Adyen: fill & hide cc name field for all but Hebrew

https://gerrit.wikimedia.org/r/290589

Ejegg closed this task as Resolved.Jun 7 2016, 9:01 PM